Debian Bug report logs - #526821
xword: support British-style crosswords, and other patches

version graph

Package: xword; Maintainer for xword is John Sullivan <johns@debian.org>; Source for xword is src:xword.

Reported by: Dafydd Harries <daf@debian.org>

Date: Sun, 3 May 2009 18:51:05 UTC

Severity: wishlist

Tags: patch

Found in version xword/1.0-3

Fixed in version xword/1.0-4

Done: John Sullivan <john@wjsullivan.net>

Bug is archived. No further changes may be made.

Forwarded to bill.mccloskey@gmail.com

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, John Sullivan <john@wjsullivan.net>:
Bug#526821; Package xword. (Sun, 03 May 2009 18:51:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dafydd Harries <daf@debian.org>:
New Bug report received and forwarded. Copy sent to John Sullivan <john@wjsullivan.net>. (Sun, 03 May 2009 18:51:08 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dafydd Harries <daf@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: xword: support British-style crosswords, and other patches
Date: Sun, 3 May 2009 19:50:08 +0100
[Message part 1 (text/plain, inline)]
Package: xword
Version: 1.0-3
Severity: wishlist
Tags: patch

xword assumes that crosswords it reads are American-style, i.e. that any
square that has a black square above it or to its left is at the beginning of
a new solution, which isn't true of British-style crosswords (see
http://en.wikipedia.org/wiki/Crossword#Types_of_grid). Hence it gets very
confused when loading a British-style crossword.

Here is a series of patches that add support for British-style layouts, plus
one fix for keypress handling and and one patch that adds a test suite. These
are taken from my git repository at (http://rhydd.org/git/xword/).
[0001-handle-British-style-crossword-layouts.patch (text/plain, attachment)]
[0002-when-switching-modes-jump-to-the-first-clue-of-the.patch (text/plain, attachment)]
[0003-when-opening-a-puzzle-move-to-the-first-across-clue.patch (text/plain, attachment)]
[0004-don-t-switch-mode-when-moving-unless-the-current-cel.patch (text/plain, attachment)]
[0005-ignore-keypresses-that-can-t-be-named.patch (text/x-c++, attachment)]
[0006-add-a-rudimentary-test-suite.patch (text/plain, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#526821; Package xword. (Mon, 04 May 2009 18:33:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Sullivan <john@wjsullivan.net>:
Extra info received and forwarded to list. (Mon, 04 May 2009 18:33:02 GMT) Full text and rfc822 format available.

Message #10 received at 526821@bugs.debian.org (full text, mbox):

From: John Sullivan <john@wjsullivan.net>
To: bill.mccloskey@gmail.com
Cc: Dafydd Harries <daf@debian.org>,526821@bugs.debian.org,526821-forwarded@bugs.debian.org
Subject: [Dafydd Harries] Bug#526821: xword: support British-style crosswords, and other patches
Date: Mon, 04 May 2009 14:32:26 -0400
[Message part 1 (text/plain, inline)]
Hi Bill, 

I received this bug report against the Debian xword package. These
patches look quite useful. Do you have time to consider them for
inclusion in upstream?

I'm CCing Dafydd, who submitted the patches, and
526821-forwarded@bugs.debian.org -- please keep the latter CC in your
reply.

[Message part 2 (message/rfc822, inline)]
From: Dafydd Harries <daf@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Bug#526821: xword: support British-style crosswords, and other patches
Date: Sun, 3 May 2009 19:50:08 +0100
[Message part 3 (text/plain, inline)]
Package: xword
Version: 1.0-3
Severity: wishlist
Tags: patch

xword assumes that crosswords it reads are American-style, i.e. that any
square that has a black square above it or to its left is at the beginning of
a new solution, which isn't true of British-style crosswords (see
http://en.wikipedia.org/wiki/Crossword#Types_of_grid). Hence it gets very
confused when loading a British-style crossword.

Here is a series of patches that add support for British-style layouts, plus
one fix for keypress handling and and one patch that adds a test suite. These
are taken from my git repository at (http://rhydd.org/git/xword/).
[0001-handle-British-style-crossword-layouts.patch (text/plain, attachment)]
[0002-when-switching-modes-jump-to-the-first-clue-of-the.patch (text/plain, attachment)]
[0003-when-opening-a-puzzle-move-to-the-first-across-clue.patch (text/plain, attachment)]
[0004-don-t-switch-mode-when-moving-unless-the-current-cel.patch (text/plain, attachment)]
[0005-ignore-keypresses-that-can-t-be-named.patch (text/x-c++, attachment)]
[0006-add-a-rudimentary-test-suite.patch (text/plain, attachment)]
[Message part 10 (text/plain, inline)]

-- 
-John Sullivan
-http://wjsullivan.net
-GPG Key: AE8600B6

Reply sent to John Sullivan <john@wjsullivan.net>:
You have marked Bug as forwarded. (Mon, 04 May 2009 18:33:18 GMT) Full text and rfc822 format available.

Reply sent to John Sullivan <john@wjsullivan.net>:
You have taken responsibility. (Sun, 28 Jun 2009 06:27:03 GMT) Full text and rfc822 format available.

Notification sent to Dafydd Harries <daf@debian.org>:
Bug acknowledged by developer. (Sun, 28 Jun 2009 06:27:03 GMT) Full text and rfc822 format available.

Message #18 received at 526821-close@bugs.debian.org (full text, mbox):

From: John Sullivan <john@wjsullivan.net>
To: 526821-close@bugs.debian.org
Subject: Bug#526821: fixed in xword 1.0-4
Date: Sun, 28 Jun 2009 06:02:03 +0000
Source: xword
Source-Version: 1.0-4

We believe that the bug you reported is fixed in the latest version of
xword, which is due to be installed in the Debian FTP archive:

xword_1.0-4.diff.gz
  to pool/main/x/xword/xword_1.0-4.diff.gz
xword_1.0-4.dsc
  to pool/main/x/xword/xword_1.0-4.dsc
xword_1.0-4_all.deb
  to pool/main/x/xword/xword_1.0-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 526821@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
John Sullivan <john@wjsullivan.net> (supplier of updated xword package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 28 Jun 2009 00:36:20 -0400
Source: xword
Binary: xword
Architecture: source all
Version: 1.0-4
Distribution: unstable
Urgency: low
Maintainer: John Sullivan <john@wjsullivan.net>
Changed-By: John Sullivan <john@wjsullivan.net>
Description: 
 xword      - Reads and writes crossword puzzles in the Across Lite file format
Closes: 526821
Changes: 
 xword (1.0-4) unstable; urgency=low
 .
   * Patch from Dafydd Harries <daf@rhydd.org> on #526821 to handle
     British-style crossword layouts. When allocating numbers to cells,
     allocate a new number to a cell if the cell: 1) is white; 2) has not
     already been allocated a number; 3) and it is followed by a white
     cell either to the right or downwards. When allocating a number,
     allocate the same number to consecutive white cells to the right or
     downwards. Previously, a new number was always allocated if the cell
     above or to the left was black.
   * Patch from Dafydd Harries <daf@rhydd.org> on #526821 to ignore
     keypresses that can't be named.
   * Patch from Dafydd Harries <daf@rhydd.org> on #526821 to improve
     support for British-style crosswords. When switching modes, jump to
     the first clue of the other mode, not clue 1. In US-style
     crosswords, both across and down modes have a clue 1, but this
     assumption breaks in British-style crosswords.
   * Patch from Dafydd Harries <daf@rhydd.org> on #526821 to improve
     support for British-style crosswords. When opening a puzzle, move to
     the first across clue instead of the first white cell. In US-style
     crosswords, the first white cell is always in an across clue, but
     this assumption breaks in British-style crosswords.
   * Patch from Dafydd Harries <daf@rhydd.org> on #526821 to improve
     support for British-style crosswords. Don't switch mode when moving
     unless the current cell exists in the other mode. In British-style
     puzzles, some cells only exist in one of the two modes.
   * Patch from Dafydd Harries <daf@rhydd.org> to add a basic test suite.
     Closes: Bug#526821.
   * Update copyright headers.
Checksums-Sha1: 
 366f37988c0139980a7edbca1334fd73ad21850b 933 xword_1.0-4.dsc
 676b16e2209ef3b22f554e01b8040015cdbe85f5 9003 xword_1.0-4.diff.gz
 e65feedbae029d80e39a6b39ef675a039e25ddcc 22958 xword_1.0-4_all.deb
Checksums-Sha256: 
 390013d98ad6c1f3bc21d63a81cd18b651bb28dbc708e2c5849af4164e3aa93d 933 xword_1.0-4.dsc
 87a6c8574582d38ab22de49fad71a9528348ef6a32a1608a16ab13e0891f7d29 9003 xword_1.0-4.diff.gz
 25c484122fdc1b5cfe51cb60563e4be921db687aa0e6112a63ef3801d8b8bcfb 22958 xword_1.0-4_all.deb
Files: 
 f5bf52bf68ab3a789bfeda213f97a29c 933 games optional xword_1.0-4.dsc
 3c3bd96d6ecb9a60269265028d2673fd 9003 games optional xword_1.0-4.diff.gz
 602426363600244dc22777bf3611b33d 22958 games optional xword_1.0-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.9 (GNU/Linux)

iEYEARECAAYFAkpG9h4ACgkQCRwR0q6GALY3JgCgrYcmgnMOsdrhqir8nKJMD6Iy
29AAnijjq4AoLlfOKwNpDf7x0jRuiUhe
=lXRp
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 08 Aug 2009 07:33:54 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 15:41:37 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.